%define debug_package %{nil}
%define product_family Red Hat Enterprise Linux
%define variant_titlecase Server
%define variant_lowercase server
%define release_name Maipo
%define base_release_version 7
%define full_release_version 7.0
%define dist_release_version 7
#define beta Beta
%define dist .el%{dist_release_version}

Name:           redhat-release%{?variant_lowercase:-%{variant_lowercase}}
Version:        %{full_release_version}
Release:        1.0.1%{?dist}
Summary:        %{product_family}%{?variant_titlecase: %{variant_titlecase}} release file
Group:          System Environment/Base
License:        GPLv2
Provides:       redhat-release = %{version}-%{release}
Provides:       system-release = %{version}-%{release}
Provides:       system-release(releasever) = %{base_release_version}%{?variant_titlecase}
Source1:        85-display-manager.preset
Source2:        90-default.preset


%description
Dummy package %{product_family}%{?variant_titlecase: %{variant_titlecase}} release files

%prep

%build

%install
rm -rf %{buildroot}
# copy systemd presets
mkdir -p %{buildroot}%{_prefix}/lib/systemd/system-preset/
install -m 0644 %{SOURCE1} %{buildroot}%{_prefix}/lib/systemd/system-preset/
install -m 0644 %{SOURCE2} %{buildroot}%{_prefix}/lib/systemd/system-preset/


%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{_prefix}/lib/systemd/system-preset/*

%changelog
* Mon May 12 2014 Tianyue Lan <tianyue.lan@oracle.com> - 7.0-1.0.1.el7
- Dummy package for OL7

* Tue Apr  1 2014 Daniel Mach <dmach@redhat.com> - 7.0-1.el7
- Rebuild for GA

* Tue Feb 25 2014 Daniel Mach <dmach@redhat.com> - 7.0-0.12.el7
- Fix variant_titlecase macro usage

* Wed Feb 19 2014 Daniel Mach <dmach@redhat.com> - 7.0-0.11.el7
- Enable microcode.service by default

* Tue Feb 18 2014 Daniel Mach <dmach@redhat.com> - 7.0-0.10.el7
- Update EULA text

* Wed Feb 12 2014 Daniel Mach <dmach@redhat.com> - 7.0-0.9.el7
- Add systemd presets
- Resolves: #903690

* Fri Jan 24 2014 Daniel Mach <dmach@redhat.com> - 7.0-0.8.el7
- Mass rebuild 2014-01-24

* Wed Jan 15 2014 Daniel Mach <dmach@redhat.com> - 7.0-0.7
- Add ID_LIKE, HOME_URL and BUG_REPORT_URL fields to /etc/os-release
- Make /etc/os-release a config file

* Fri Dec 27 2013 Daniel Mach <dmach@redhat.com> - 7.0-0.6
- Mass rebuild 2013-12-27

* Fri Nov  8 2013 Daniel Mach <dmach@redhat.com> - 7.0-0.5
- Rebuild for Beta
